{% include('sysma-object/sysmaObjectBackButton.twig') %}

<h2>Création d'une relation</h2>



{# Attention @sr: <form ETAIT sans action='#'. TOTEST #}
<form method="post" id="formNouveauRelation"  action='#'>


    <div class='form-group'>
        <div class='row'>
            <div class='col-md-4'>    
                {{ O.sysma_object|default(O.sysma_object_type) }} <small>[{{ O.sysma_object_id }}]</small><br>

            </div>

            <div class='col-md-4'>
                <select name="sysma_relation_type_id" id="sysma_relation_type_id" value="" class="form-control"
                        onClick="sendData('sysma_object_id={{O.sysma_object_id}}&sysma_relation_type_id=' + $('#sysma_relation_type_id').val(), '{{ url('relation-sysma-objects-list') }}', 'selectLinkedObject', this.event);">
                    <option value=""></option>
                    {% for RT in TO.sysmaRelationTypesArray %}     
                        {% if [app.session.get('user_id'),null,TO.sysma_object_type_id,null,null,null,null,'contributeur']|hasAccess %}
                            <option value="{{RT.RT.sysma_relation_type_id}}|{{ RT.infos.parent_child == 'parent' ? RT.infos.sysma_object_type_id_parent : RT.infos.sysma_object_type_id_child }}|{{RT.infos.parent_child}}|{{ RT.infos.parent_child == 'parent' ? RT.infos.sysma_object_type_id_child : RT.infos.sysma_object_type_id_parent }}"
                                    {{ app.session.get('sysma_relation_type_id')!=null and app.session.get('sysma_relation_type_id')==RT.sysma_relation_type_id ? 'selected' : null }}>
                                {% if RT.infos.parent_child == 'parent' %}                        
                                    {{RT.RT.sysma_relation_type_from_parent|raw}}
                                {%  else %}
                                    {{RT.RT.sysma_relation_type_from_child|raw}}
                                {% endif %}
                            </option>
                        {% endif %}
                    {% endfor %}
                </select>
            </div>

            <div class='col-md-4' id="selectLinkedObject" style="max-height:500px;overflow: auto">                
            </div>
        </div>
    </div>

    <div class='form-group'>
        <label>Nom de la relation</label>
        <input name="sysma_relation" value="" class="form-control"/>        
    </div>



    <div class='form-group'>
        <label>Date de début</label>
        <input name="start_date" id="start_date" value="{{ app.session.get('start_date')!=null ? app.session.get('start_date') : "now"|date('Y-m-d') }}" class="form-control" onkeyup="checkDate('start_date', 'start_dateComment', 'boutonCreerRelation', 'end_date');" required="required" />
        <div id="start_dateComment"></div>
    </div>

    <div class='form-group'>
        <label>Date de fin</label>
        <input name="end_date" value="{{ app.session.get('end_date_sysma_relation')!=null ? app.session.get('end_date_sysma_relation') : "now"|date('Y-m-d') }}" id="end_date" class="form-control" onkeyup="checkDateEndOK('end_date', 'end_dateComment', 'boutonCreerRelation', 'start_date');" required="required" />
        <div id="end_dateComment"></div>
    </div>  
    <!--
        <div class='form-group'>
            <label>Année d'engagement de l'relation dans le budget du maître d'ouvrage (obligatoire)</label>
            <input name="program_year" value="{{"now"|date('Y') }}" class="form-control" required="required" type="number" min="1980" />        
        </div>
    -->



    <div class='form-group'>
        <label>Contrat(s)</label>     


        {% for C in tabcontracts %}
            <div class="chekcbox">            
                <label>
                    <input type="checkbox" id="contract{{ C.contract_id }}" name="contract{{ C.contract_id }}" value="1" > {{ C.contract }}
                </label>
            </div>
        {% endfor %}


    </div>

    <div class='form-group'>
        <label>Statut</label>
        <select  name="status" class="form-control">
            {% for S in tabStatuts %}            
                <option value="{{S.status_value}}"
                        {{ app.session.get('status_sysma_relation')!=null and app.session.get('status_sysma_relation')==S.status_value ? 'selected' : null }}>
                    {{S.status}}</option>
                {% endfor %}
        </select>
    </div>

    <div class='form-group'>
        <label>Structure</label>
        <select  name="organisation_id" class="form-control">
            {% for S in taborganisation %}     
                {% if [app.session.get('user_id'),S.organisation_id,TO.sysma_object_type_id,null,null,null,S.organisation_id,'contributeur']|hasAccess %}
                    <option value="{{S.organisation_id}}"
                            {{ app.session.get('organisation_id')!=null and app.session.get('organisation_id')==S.organisation_id ? 'selected' : null }}>
                        {{S.organisation|raw}}</option>
                    {% endif %}
                {% endfor %}
        </select>
    </div>

    <button  id="boutonCreerRelation"  class="btn btn-primary" 
             onclick="sendFormAndRedirectAndMove('formNouveauRelation', '{{url('relation-modify-create-commit')}}', 'id={{ sysma_object_id }}&sysma_relation_id={{ index }}', '{{url('object')}}', 'objet', event, 'blocInfosRelation{{index}}');" 
             >
        Créer</button>

    <input type="hidden" value="{{sysma_object_id}}" name="sysma_object_id" />      
    <input type="hidden" value="{{O.sysma_object_type_id}}" name="sysma_object_type_id" />     
    <input type="hidden" value="{{index}}" name="sysma_relation_id" />  
    <input type="hidden" name="created_by" value="{{ app.session.get('user_id') }}" />
    <input type="hidden" name="modified_by" value="{{ app.session.get('user_id') }}" />

</form>

